static var instance : Focal;

var goalPos : Vector3;
function Start(){
	instance = this;
}

function SetFocalPoint(v : Vector3){
	goalPos = v;
}

var ray : Ray;
var hit : RaycastHit;
function Update(){
	transform.position = Vector3.Lerp(transform.position, goalPos, 0.25);
	
	ray = Camera.main.ScreenPointToRay(Input.mousePosition);
	if(Physics.Raycast(ray, hit, 1000.0)){
		goalPos = hit.point;
	}
}